Purchase Credits
curl --request POST \
--url https://api.example.com/credits/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"usd": 123,
"credit_type": "INFRASTRUCTURE"
}
'import requests
url = "https://api.example.com/credits/"
payload = {
"usd": 123,
"credit_type": "INFRASTRUCTURE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({usd: 123, credit_type: 'INFRASTRUCTURE'})
};
fetch('https://api.example.com/credits/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/credits/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'usd' => 123,
'credit_type' => 'INFRASTRUCTURE'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/credits/"
payload := strings.NewReader("{\n \"usd\": 123,\n \"credit_type\": \"INFRASTRUCTURE\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/credits/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"usd\": 123,\n \"credit_type\": \"INFRASTRUCTURE\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/credits/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"usd\": 123,\n \"credit_type\": \"INFRASTRUCTURE\"\n}"
response = http.request(request)
puts response.read_body{
"credits_remaining": {
"amount": 123,
"credits": 123,
"usd": 123
},
"credits_used": {
"amount": 123,
"credits": 123,
"usd": 123
},
"infrastructure_credits_remaining": {
"amount": 123,
"credits": 123,
"usd": 123
},
"ai_credits_remaining": {
"amount": 123,
"credits": 123,
"usd": 123
},
"flexible_credits_remaining": {
"amount": 123,
"credits": 123,
"usd": 123
},
"infrastructure_credits_used": {
"amount": 123,
"credits": 123,
"usd": 123
},
"ai_credits_used": {
"amount": 123,
"credits": 123,
"usd": 123
},
"credit_checks_enabled": true,
"has_plan": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}credit-usage
Purchase Credits
POST
/
credits
/
Purchase Credits
curl --request POST \
--url https://api.example.com/credits/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"usd": 123,
"credit_type": "INFRASTRUCTURE"
}
'import requests
url = "https://api.example.com/credits/"
payload = {
"usd": 123,
"credit_type": "INFRASTRUCTURE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({usd: 123, credit_type: 'INFRASTRUCTURE'})
};
fetch('https://api.example.com/credits/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/credits/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'usd' => 123,
'credit_type' => 'INFRASTRUCTURE'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/credits/"
payload := strings.NewReader("{\n \"usd\": 123,\n \"credit_type\": \"INFRASTRUCTURE\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/credits/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"usd\": 123,\n \"credit_type\": \"INFRASTRUCTURE\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/credits/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"usd\": 123,\n \"credit_type\": \"INFRASTRUCTURE\"\n}"
response = http.request(request)
puts response.read_body{
"credits_remaining": {
"amount": 123,
"credits": 123,
"usd": 123
},
"credits_used": {
"amount": 123,
"credits": 123,
"usd": 123
},
"infrastructure_credits_remaining": {
"amount": 123,
"credits": 123,
"usd": 123
},
"ai_credits_remaining": {
"amount": 123,
"credits": 123,
"usd": 123
},
"flexible_credits_remaining": {
"amount": 123,
"credits": 123,
"usd": 123
},
"infrastructure_credits_used": {
"amount": 123,
"credits": 123,
"usd": 123
},
"ai_credits_used": {
"amount": 123,
"credits": 123,
"usd": 123
},
"credit_checks_enabled": true,
"has_plan": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The wallet a credit grant belongs to.
FLEX is only for grants that pre-date split wallets. It is deliberately
retained as a migration path so customers can spend the balance they
already purchased; new grants must use either INFRASTRUCTURE or AI.
Available options:
INFRASTRUCTURE, AI, FLEX Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes